package app.mar.utils;

import android.content.Context;
import android.content.Intent;
import android.graphics.drawable.Drawable;
import android.net.Uri;

import app.mar.activities.viewers.ImageViewerActivity;
import app.mar.activities.viewers.MediaViewerAcitvity;
import app.mar.activities.viewers.TestVideoActivity;
import app.mar.game.Game;
import app.mar.game.Resource;

/**
 * Created by ptitcois on 14/03/17.
 */
public class AndroidResources {


    private static Uri _getAudioVideo(String name, String suffix)
    {
        String path="android.resource://app.brest.testmin3d/raw/"+name+"_"+suffix;
        return Uri.parse(path);
    }

    public static Uri getVideo(String name)
    {
        return _getAudioVideo(name, "video");
    }


    public static Uri getAudio(String name)
    {
        return _getAudioVideo(name, "audio");
    }

    public static Drawable getImage()
    {
        return null;
    }

    public static int getViewerRequestCode( Resource re)
    {
        if(re.isAudio())
            return MediaViewerAcitvity.REQUEST_CODE;
        else if( re.isVideo())
            return TestVideoActivity.REQUEST_CODE;
        else
            return ImageViewerActivity.REQUEST_CODE;
    }
    public static Intent getViewerIntent(Context c, Resource re)
    {
        Intent intent =null ;
        if(re.isAudio())
            intent = new Intent(c, MediaViewerAcitvity.class);
        else if( re.isVideo())
            intent = new Intent(c, TestVideoActivity.class);
        else if(re.isImage())
            intent= new Intent(c, ImageViewerActivity.class);

        intent.putExtra("resource", re);

        return intent;
    }



    public static Intent getMapIntent(Context c, Game g)
    {
        Intent intent = new Intent(c, ImageViewerActivity.class);
        intent.putExtra("map", g.getName()+"_map");
        return intent;
    }
    //ImageViewerActivity.class
}
